---
outline: deep
---

# Minio CLI

Une interface en cli pour mettre des fichiers sur les buckets S3 de [Garage](./garage).

::: warning
Dans cette documentation, on renomme le programme `mc` en `s3` pour éviter des interférences avec midnight commander. Les commandes à taper peuvent donc différer en fonction de cela.
:::

## Installation

Exemple pour une architecture 64 bits Intel :

```bash
curl https://dl.min.io/client/mc/release/linux-amd64/mc \
  --create-dirs \
  -o /usr/local/bin/s3
chmod +x /usr/local/bin/s3
```

On créé un alias, par exemple pour `yeswikipro` :
```bash
s3 alias set \
  yeswikipro \
  s3.yeswiki.pro \
  <access key> \
  <secret key> \
  --api S3v4
```

## Commandes

## Liens utiles

- [Documentation](https://min.io/docs/minio/linux/reference/minio-mc.html#quickstart)